multiple accounts wrong From/Sender/Return-to account in reply-to



MailNews Core
9 years ago
6 years ago


(Reporter: lape, Unassigned)


Firefox Tracking Flags

(Not tracked)


(Whiteboard: [closeme 2012-03-25], URL)



9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; sv-SE; rv: Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)
Build Identifier: 2009-08-12, downloaded 2009-10-19 swedish and english versions tested

See 11 images and text.
I'm using 4 accounts, account no 2 and 3 get their From/Sender data 
mixed up between the accounts.
Also a problem when changing the username in the server settings
on account-2 wich also affect the account name.

Reproducible: Always

Steps to Reproduce:
I use the same setup in XPP wich works fine but not in Win7 X64.
I can not make the switch to Win7 as it stands now.
I removed everything several times and reinstalled.
To reproduce, follow the instructions under

Actual Results:  
account 2 gets the senderdata from account 2 in reply
account 3 gets the senderdata from account 3 in reply

Expected Results:  
That each account should have its own senderdata.
So This happened when you switched from XP to Windows 7 on the same machine right ?

Can you check that you only have one profile directory (see on where to find them) ?
Version: unspecified → 2.0

Comment 2

9 years ago
Pls see my comments including new pictures at

Win7 is on a new machine installed from scratch, 
XPP is the current work machine have both running but 
cannot make the switch since mail is not working.

Profiles/identities are not used within an account.
Each account handles a different server.

I have a Win7/X32 disk also, will try to make a quick test there also.
Would be nice if comments were here and pictures were here too. I don't understand where your problem comes from , why XPP and 7 are talked about if you only have issues with 7 and that they don't talk to the same servers. You didn't migrate from one machine to the other - so why are they related ?

Maybe reading this would help ?

Comment 4

9 years ago
Sorry, first time I report here, don't know how to place screencopies here.

Reason for XPP and Win7, I'm running XPP want to switch to Win7.
I have 2 machines with identical mailsetup talking to the same servers.

The problem is only with Win7/x64, that machine is new and installed from scratch but with an identical TB-setup as in the XPP machine.

Now I also tested the identical setup on a Win7/x32 and there it works just 
the same as in XPP so it's seems it's only Win7/X64 wich is the problem.

Since I'm not using profiles/identities within one account
I don't think it's related.
There are 4 different accounts without profiles used, each account
picks up the mail from it's specific server.

The first problem in Win7/x64 is when adding these 4 accounts
and I pick up some mail in each of them and then select a mail
and make a "reply-to" the sender/from info is wrong for account 2
and account 3, account2 will get account3's info and vice versa.

The second problem is not an error it seems to be a feature
when editing the username that the account name is also changed
and it's the same in all versions.

To be 100% sure I will remove TB completely in Win7/X64 and install again
from scratch making screencopies of the process.
I will also have a Win2008R2 X64 server soon so I can test there as well.
Sid thoughts ?
(In reply to comment #4) 
> Now I also tested the identical setup on a Win7/x32 and there it works just 
> the same as in XPP so it's seems it's only Win7/X64 wich is the problem.

Hm, very strange -- I don't think we would do anything differently on 64-bit Windows vs 32-bit Windows. Do you recall any differences in the way you set up Win7/x86 and Win7/x64?

To be clear, you're using only the official versions from the Mozilla website, right?

Comment 7

9 years ago
Yes, it's the official versions from, English and Swedish.

But I may have found the problem now, still need some testing.
I redid all the testing from scratch, installed both in English
and in Swedish, only to find that it worked this time!

Since I have screencopies of last time were it did not work and retrying 
several times with the same result I was wondering what is the difference.
When I add accounts and do everything as expected there is no problem in 
any environment or language until I transfer the old maildata from XPP to Win7.

Now I noticed that the problem comes after I move my current mailaccount folders from XPP to Win7. On my XPP system accounts are in order 1,2,3,4 
and are now in order 4,1,3,2 on Win7. The names are still the same.

I have moved the whole old folder for each account to it's new
location on Win7, placed it in c:\users\w\mailtb\<accountfolder>
and changed the location in the server-setup and restarted TB.
Everything comes up nice but sending a mail or do a reply-to
will mostly cause wrong senderdata coming up.

It seems the order on the accounts need to be the same
in the new system as in the old.
Now I get the mixup-problem again account 2 gets account 3 senderdata etc.

Can this be the reason? Does accounts need to be in the same order
on the new and old system when moving them even if the names are the same?
Is there any editing that can be done to reflect the new order?

Comment 8

9 years ago
Update 091023 after more testing.
I started over from scratch again, now adding the accounts in the exact same
order as on my older XPP machine. The last account 4/reveny is new on both
machines and does not have any data yet.
After this I changed the mail-location to the new correct one
and restarted TB. Then I placed some testmail on my servers, 
downloaded them to the new emtpy accounts folders.
I then tested "write-new-mail" and "reply-to" wich worked as expected.

Next I renamed the current mailfolders (adding an x) and transferred 
the current mailfolders from XPP to Win7 and restarted TB.

Pls look for screen copies at

As you can see everything looks ok, "write-new-mail" gets correct senderdata.
But when selecting a mail in the inbox and doing a "reply-to" the sender
info is all wrong.

So it's probably not an X64 issue and not the order accounts are entered
but there seems to be some error inside the folderdata in respect to how
to select the correct senderdata in "reply-to"

I have updated and transferred mail on lots of PC's with TB before 
from Win2000 to XPP as well as from XPP to newer XPP machines but
never seen this mixup-problem before.

Comment 9

9 years ago
Update 091023-2 (15:15)
Tested the same as above in Win7/X32 also, same problem so it's not a X64 problem.
This time I also noticed that if I make a "reply-to" to a mail wich was
transferred from the old system I always get the problem with wrong senderinfo.

I also picked up some new mail from the servers so the inbox contains both
old transferred mails as wells newly arrived mail.
When doing a "reply-to" on the newly arrived mail the sender data is correct!
So it must be something in the transferred mails wich causes to select the
wrong sender data in "reply-to".

Comment 10

9 years ago
update 091023-3 (15:50)
Win7/X64 shows the same thing, older mail transferred get the wrong senderinfo
in "reply-to" new mails picked up from server will get the correct sender 
in "reply-to".
(In reply to comment #9)
> Update 091023-2 (15:15)
> Tested the same as above in Win7/X32 also, same problem so it's not a X64
> problem.
> This time I also noticed that if I make a "reply-to" to a mail wich was
> transferred from the old system I always get the problem with wrong senderinfo.

How did you do the "transfert" ?

Comment 12

9 years ago
The correct locations are first set in the server-setup on Win7.
Stop running TB, adding an "x" to the end of each mailfolder.

Transfer on XPP, zip using compressed folder on the parent dir, 
copy the file to USB. On Win7 system moving zipfile from USB to 
new location. Do an extract all and renaming the dirs to the 
correct name then restart TB. All accounts come and look ok
at this stage.

Do you mean the maildata itself is location-dependent and 
there are more setting then the mail-folder-location in the server-setup?
(In reply to comment #12)
> Do you mean the maildata itself is location-dependent and 
> there are more setting then the mail-folder-location in the server-setup?

No just copying moving the profile should work. I'm just lost in what your issue is. 

Does it work better if you follow  :,_address_books,_and_settings ?

Comment 14

9 years ago
will have a look at your reference.
I have done this many times before but not on Win7 so I'm puzzled.

Did a new transfer, compressed folder, zipfile to USB and from USB to Win7.
Deleted the 3 first accountmailfolders, created 3 new folders with the same
Used explorer in Win7, marked all old data and dragged it into the new place.
Repeated on all 3 accounts, checked no of files and filesizes in cmd same on
Started TB, everything comes up as expected, send some new mails from my gmail
wich was picked up. Then tested "reply-to" same problem as before, old
mails will receive wrong senderaccountdata, newly arrived mails are correct.

Comment 15

9 years ago
I have not touched the profiles at all, they look identical on both systems
but are stored in different places and have different default names.
Profile.ini looks 100% the same, as well as registry.dat.
Under the profiles directory there is a "defaultdir" with a different name
but under there it seems the same.

I have installed from scratch recreating all accounts and settings manually 
and in the laste stage I define a new mail-location and then move
the old maildata into these locations. 
No profiles etc are moved, everything is setup from scratch.
Reading the link above I found the below but I don't see any multiple
profiles on the XPP or the Win7 systems, there is just one profile.
There are multiple accounts not multiple profiles.
On each account there is only one profile/identity the account itself.
Do I really need to bother about profiles if I reinstall from scratch?

What senderdata does TB use when I press "reply-to", it does not seem to use
the senderdata from the account of the inbox where I'm pressing the "reply-to". It seems to use some other information but what?
Given that newly arrived mails are correct and old mails are wrong would
suggest using some information found in the mailheaders pointing to 
something wrong?

A profiles.ini file when multiple profiles exist, including an original "default" profile and additional profiles in "custom" locations:
So new messages are correct not old ones.
Could does rebuilding indexes help  ?

Comment 17

9 years ago
Tried more, read below, mostly works now but why?
I did this exactly copying as described but it had the same problem.
Then I downloaded Mozbackup, noted that it does not backup mails unless
thay are located where expected under profiles/mail.
I then started over on Win7, installed TB, just start up and quit and
then used mozbackup to restore. I then changed the location of the mails
a little and then restored them, same problem.
I started over from scratch again, this time placing the mails exactly
as mozbackup would expect them and started, this time most things were ok.
I then moved the location somewhat and this time it also worked.
I still have 2 mail in an older folder wich gets the wrong senderdata
but current mails seems to work as well as newly arrived mail.

Why am I still having problems with 2 mails wich look perfectly ok?
Why did I have problems after restoring mozbackup and then changing
datalocation and then unzipping the mails there giving error in senderdata?
Also to me it seems TB does not have really portable data, I can't see why
setting up the exact same installation on another machine instead of copying 
old profiles should differ. The new installation works 100% if I dont move
any mails from the older system, copying them as per the article above 
does not work. Anyone have clue?
Especially when I'm in the inbox marking a mail and then press reply-to
it takes some other account as the sender data, this does not feel good
at all it seems there is a risk of sending mails where the sender is not
the intended wich can lead to problems.
This is how I first noticed it, a mail I had answered had the wrong sender
leading my customer to ask if I had work.

The basic question remains, why can't I do a clean install duplicating
all accounts and settings and then just move the old data from the Mail
folders to the new location and have it work 100%?

Comment 18

9 years ago
Found the problem, warning TB-maildata is not truly portable!

Since I got it working yesterday more or less I was puzzled by the two 
remaining mails that would still get wrong senderinfo.
I also discovered it did the same on my old system.

One of the mails that did not work was one that I had replied before so
started comparing the two mails byte for byte. I then found 
"X-Account-Key: account1" and "X-Account-Key: account2"
and found that it seems to control wich account info to use when
doing a "reply-to". What is X-Account-Key: account2 supposed to do?
On I got no results in a search.
I then tested changing the account<no> within some mails and then 
the sender-error showed up exactly is I have seen it.

Unfortunately this makes TB mailfolders nonportable between accounts
it will only work when both systems are entered in the same exact order
as the initial installation. In most cases I have only moved one account before
that's the reason why it has worked since accountno has always been = 1.
This time it was 4 accounts and I did not manage to enter them in the 
exact first time order from the old system.

Just having a hard link within the mail to the senderaccount
does not seem to be a good idea, why is it there at all?

Why can't "reply-to" instead use the account I'm standing in
when I already have highlighted a mail I want to "reply-to"?
If this change was done the mail-folder-data would be portable 
and being possible to place in any order.

A utility wich sets "X-Account-Key" to the internal orderno of the
mailaccount and update all mails would help.
Perhaps mozbackup could be improved?
Component: Account Manager → Backend
Product: Thunderbird → MailNews Core
QA Contact: account-manager → backend
Version: 2.0 → unspecified
Duplicate of this bug: 543617
See Also: → bug 522665

Comment 20

6 years ago
can you reproduce this using a current version of thunderbird?

if you are unable to reproduce, please close by setting stats to resolved, and resolution to WORKSFORME or another appropriate setting.

If you are able to reproduce, add new details, and a testcase if one does not already exist in the bug report.
Whiteboard: [closeme 2012-03-25]
RESOLVED INCOMPLETE due to lack of response to last question. If you feel this change was made in error please respond to this bug with your reasons why.
Last Resolved: 6 years ago
Resolution: --- → INCOMPLETE

Comment 22

6 years ago
I think some of the problem with this and other bugs related to "who is replying to this message" is a lack of clarity on how it is SUPPOSED to work. Here's how I understand it:

Delete the "X-apparently-to" field from any "To" list or "CC" list.
Take the "Reply-to" field and add it to the "To" list.
Take the "X-apparently-to" field and use it as the "Reply-to" field.
You need to log in before you can comment on or make changes to this bug.